/*******************************
    S Motion holder (s-motion-holder)
*******************************/

.s-motion-holder .quantity {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
}

.s-motion-holder button[data-type="notify_on_availability"], 
.s-motion-holder label,
.s-motion-holder .product_variant.quantity:nth-child(2),
.s-motion-holder img {
    display: none;
}

.s-motion-holder {
    font-size: 0;
}

.s-motion-holder .product_variant.quantity input {
    width: 120px;
    text-align: center;
    padding: 0 36px;
    height: 51px;
    border: none;
    font-size: 20px;
    cursor: pointer;
    border-radius: 15px;
    box-shadow: 2px 2px 4px 3px rgba(0, 0, 0, .25);
    order: 1;
    margin: 0 20px 20px 0;
}

.s-motion-holder .product_variant.quantity input::-webkit-outer-spin-button,
.s-motion-holder .product_variant.quantity input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.s-motion-holder #add-button-holder {
    position: relative;
}

.s-motion-holder #add-button-holder:before,
.s-motion-holder #add-button-holder:after {
    content: '-';
    position: absolute;
    top: -6px;
    left: 14px;
    font-size: 40px;
    text-align: center;
    pointer-events: none;
}

.s-motion-holder #add-button-holder:after {
    content: '+';
    left: 85px;
    font-size: 33px;
    top: -1px;
}

.s-motion-holder .product_variant.quantity .button {
    flex: 1 1 auto;
    background: #2BB673;
    transition: opacity .4s;
    border: none;
    height: 51px;
    line-height: 51px;
    padding: 0 40px;
    border-radius: 15px;
    order: 2;
    margin: 0 20px 20px 0;
    text-transform: lowercase;
}

.s-motion-holder .product_variant.quantity .button::first-letter {
    text-transform: uppercase;
}

.s-motion-holder .product_variant.quantity .button:hover {
    opacity: .8;
}

.s-motion-holder .product_variant.quantity button[data-type="favourites"] {
    order: 3;
    font-size: 0;
    height: 51px;
    width: 51px;
    min-width: 51px;
    border-radius: 10px;
    background: #2BB673;
    transition: background .4s;
    background-image: url(../images/heart-white.svg);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 52%;
    margin: 0 20px 20px 0;
}

.s-motion-holder .product_variant.quantity button[data-type="favourites"]:hover,
.s-motion-holder .product_variant.quantity button[data-type="favourites"].active {
    background-image: url(../images/heart_full-white.svg);
}

.s-motion-holder:not(:has([buy-product-button])) .product_variant {
    display: none;
}

.s-motion-holder + .out-of-stock-label {
    display: none;
}
.s-motion-holder[button-holder]:empty + .out-of-stock-label {
    display: none!important;
}
.s-motion-holder:not(:has([buy-product-button])) + .out-of-stock-label {
    display: inline-block;
}

/*  SBB  */

.holder-2 button[data-type="notify_on_availability"], 
.holder-2 label,
.holder-2 .product_variant.quantity:nth-child(2),
.holder-2 img,
.holder-2 + .out-of-stock-label,
.holder-2[button-holder]:empty + .out-of-stock-label {
    display: none !important;
}

.holder-2 {
    font-size: 0;
}

.holder-2 .product_variant.quantity button[data-type="favourites"] {
    order: 3;
    font-size: 0;
    height: 44px;
    width: 44px;
    min-width: 44px;
    border-radius: 10px;
    background: #fff;
    transition: background .4s;
    background-image: url(../images/heart.svg);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 63%;
    margin: 0 0 20px 0;
}

.holder-2 .product_variant.quantity button[data-type="favourites"]:hover,
.holder-2 .product_variant.quantity button[data-type="favourites"].active {
    background-image: url(../images/heart_full.svg);
}

.holder-2 .quantity {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    margin-bottom: 0;
}

.holder-2 .product_variant.quantity input {
    width: 125px;
    text-align: center;
    padding: 0 40px;
    height: 42px;
    border: none;
    font-size: 20px;
    cursor: pointer;
    border-radius: 0;
    box-shadow: 1px 1px 4px 2px rgba(0, 0, 0, .25);
    order: 1;
    margin: 0 20px 20px 0;
}

.holder-2 .product_variant.quantity input::-webkit-outer-spin-button,
.holder-2 .product_variant.quantity input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.holder-2 #add-button-holder {
    position: relative;
}

.holder-2 #add-button-holder:before,
.holder-2 #add-button-holder:after {
    content: '-';
    position: absolute;
    top: 0;
    left: 14px;
    font-size: 44px;
    text-align: center;
    pointer-events: none;
    line-height: 1;
}

.holder-2 #add-button-holder:after {
    content: '+';
    left: 95px;
    font-size: 32px;
    top: 7px;
}

.holder-2 .product_variant.quantity .button {
    flex: 1 1 auto;
    background: #000;
    transition: opacity .4s;
    border: none;
    height: 46px;
    line-height: 46px;
    padding: 0 20px;
    border-radius: 0;
    order: 2;
    margin: 0 20px 20px 0;
    text-transform: lowercase;
}

.holder-2 .product_variant.quantity .button::first-letter {
    text-transform: uppercase;
}

.holder-2 .product_variant.quantity .button:hover {
    opacity: .8;
}

/*  Elivet  */

.holder-3 button[data-type="notify_on_availability"], 
.holder-3 label,
.holder-3 .product_variant.quantity:nth-child(2),
.holder-3 img,
.holder-3 + .out-of-stock-label,
.holder-3[button-holder]:empty + .out-of-stock-label,
.holder-3 .product_variant.quantity button[data-type="favourites"] {
    display: none !important;
}

.holder-3 {
    font-size: 0;
}

.holder-3 .quantity {
    margin-bottom: 0;
}

.holder-3 .product_variant.quantity input {
    width: 125px;
    text-align: center;
    background: #F5841E;
    color: #fff;
    padding: 0 40px;
    height: 44px;
    border: none;
    font-size: 20px;
    cursor: pointer;
    border-radius: 0;
    box-shadow: 1px 1px 4px 2px rgba(0, 0, 0, .25);
    order: 1;
    margin: 0 20px 0 0 ;
    border-radius: 5px;
}

.holder-3 .product_variant.quantity input::-webkit-outer-spin-button,
.holder-3 .product_variant.quantity input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.holder-3 #add-button-holder {
    position: relative;
}

.holder-3 #add-button-holder:before,
.holder-3 #add-button-holder:after {
    content: '-';
    position: absolute;
    top: -1px;
    left: 14px;
    font-size: 44px;
    text-align: center;
    pointer-events: none;
    line-height: 1;
    color: #fff;
}

.holder-3 #add-button-holder:after {
    content: '+';
    left: 95px;
    font-size: 32px;
    top: 5px;
}

.holder-3 .product_variant.quantity .button {
    background: #F5841E;
    transition: opacity .4s;
    border: none;
    height: 44px;
    line-height: 44px;
    padding: 0 20px;
    order: 2;
    margin: 0 20px 0 0;
    border-radius: 5px;    
    text-transform: lowercase;
}

.holder-3 .product_variant.quantity .button::first-letter {
    text-transform: uppercase;
}

.holder-3 .product_variant.quantity .button:hover {
    opacity: .8;
}

/*  color-5  */

.holder-color-5 label,
.holder-color-5 .product_variant.quantity:nth-child(2),
.holder-color-5 img,
.holder-color-5 + .out-of-stock-label,
.holder-color-5[button-holder]:empty + .out-of-stock-label,
.holder-color-5 .product_variant.quantity button[data-type="favourites"],
.holder-color-5 .product_variant.quantity {
    display: none !important;
}

.holder-color-5 #add-button-holder.product_variant.quantity {
    display: block !important;
}

.holder-color-5 button[data-type="notify_on_availability"] {
    transition: background .4s;
    margin: 0 20px 10px 0;
    background: var(--color-4);
    border-radius: 5px;
}

.holder-color-5 {
    font-size: 0;
}

.holder-color-5 .quantity {
    margin-bottom: 0;
}

.holder-color-5 .product_variant.quantity input {
    width: 125px;
    text-align: center;
    background: var(--color-5);
    color: #fff;
    padding: 0 40px;
    height: 44px;
    border: none;
    font-size: 20px;
    cursor: pointer;
    box-shadow: 1px 1px 4px 2px rgba(0, 0, 0, .25);
    order: 1;
    margin: 0 20px 10px 0;
    border-radius: 5px;
}

.holder-color-5 .product_variant.quantity input::-webkit-outer-spin-button,
.holder-color-5 .product_variant.quantity input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.holder-color-5 #add-button-holder {
    position: relative;
}

.holder-color-5 #add-button-holder:before,
.holder-color-5 #add-button-holder:after {
    content: '-';
    position: absolute;
    top: -1px;
    left: 14px;
    font-size: 44px;
    text-align: center;
    pointer-events: none;
    line-height: 1;
    color: #fff;
}

.holder-color-5 #add-button-holder:after {
    content: '+';
    left: 95px;
    font-size: 32px;
    top: 5px;
}

.holder-color-5 .product_variant.quantity .button {
    background: var(--color-5);
    transition: opacity .4s;
    border: none;
    height: 44px;
    box-shadow: 1px 1px 4px 2px rgba(0, 0, 0, .25);
    line-height: 46px;
    padding: 0 20px;
    order: 2;
    margin: 0 20px 10px 0;
    border-radius: 5px;
}

.holder-color-5 .product_variant.quantity .button::before {
    font-size: 1rem;
}

.holder-color-5 .product_variant.quantity .button:hover {
    opacity: .8;
}

/*   Sapir Bulgaria  */

.holder-4 label,
.holder-4 .product_variant.quantity:nth-child(2),
.holder-4 img,
.holder-4 + .out-of-stock-label,
.holder-4[button-holder]:empty + .out-of-stock-label {
    display: none !important;
}

.holder-4 {
    font-size: 0;
}

.holder-4 .quantity {
    margin-bottom: 0;
}

.holder-4 .product_variant.quantity input {
    width: 125px;
    text-align: center;
    background: #fff;
    color: var(--color-3);
    padding: 0 40px;
    height: 44px;
    border: 1px solid var(--color-3);
    font-size: 20px;
    cursor: pointer;
    border-radius: 0;
    margin: 0 10px 0 0;
}

.holder-4 .product_variant.quantity input::-webkit-outer-spin-button,
.holder-4 .product_variant.quantity input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.holder-4 #add-button-holder {
    position: relative;
}

.holder-4 #add-button-holder:before,
.holder-4 #add-button-holder:after {
    content: '-';
    position: absolute;
    top: -1px;
    left: 14px;
    font-size: 44px;
    text-align: center;
    pointer-events: none;
    line-height: 1;
    color: var(--color-3);
}

.holder-4 #add-button-holder:after {
    content: '+';
    left: 95px;
    font-size: 32px;
    top: 5px;
}

.holder-4 .product_variant.quantity .button {
    background: var(--color-3);
    border: 1px solid var(--color-3);
    transition: color .4s, background .4s;
    height: 44px;
    line-height: 44px;
    padding: 0 20px;
    margin: 15px 0 0 0;
    border-radius: 0; 
    display: block;
    text-transform: lowercase;
}

.holder-4 .product_variant.quantity .button:hover {
    color: var(--color-3);
    background: #fff;
}

.holder-4 button[data-type="notify_on_availability"] {
    background: var(--color-4);
    border: 1px solid var(--color-4);
    color: #fff;
    transition: background .4s;
    height: 44px;
    line-height: 44px;
    padding: 0 20px;
    margin: 15px 0 0 0;
    border-radius: 0; 
    display: block;
    text-transform: lowercase;
}

.holder-4 button[data-type="notify_on_availability"]::first-letter,
.holder-4 .product_variant.quantity .button::first-letter {
    text-transform: uppercase;
}

@media (min-width: 575px) {

    .holder-4 button[data-type="notify_on_availability"],
    .holder-4 .product_variant.quantity .button {
        width: 80%;
    }
}

.holder-4 button[data-type="notify_on_availability"]:hover {
    color: var(--color-4);
    background: #fff;
}

.holder-4 .product_variant.quantity {
    display: none;
}

.holder-4 #add-button-holder.product_variant.quantity {
    display: block;
}

.holder-4 .product_variant.quantity button[data-type="favourites"] {
    font-size: 0;
    height: 44px;
    width: 44px;
    min-width: 44px;
    border-radius: 0;
    background: var(--color-3);
    transition: background .4s;
    background-image: url(../images/heart-white.svg);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 59%;
    margin: 0;
    vertical-align: top;
}

.holder-4 .product_variant.quantity button[data-type="favourites"]:hover,
.holder-4 .product_variant.quantity button[data-type="favourites"].active {
    background-image: url(../images/heart_full-white.svg);
}

/*  color-3  */

.holder-color-3 label,
.holder-color-3 .product_variant.quantity:nth-child(2),
.holder-color-3 img,
.holder-color-3 + .out-of-stock-label,
.holder-color-3[button-holder]:empty + .out-of-stock-label,
.holder-color-3 .product_variant.quantity button[data-type="favourites"],
.holder-color-3 .product_variant.quantity {
    display: none !important;
}

.holder-color-3 #add-button-holder.product_variant.quantity {
    display: block !important;
}

.holder-color-3 button[data-type="notify_on_availability"] {
    transition: background .4s;
    margin: 0 20px 10px 0;
    background: var(--color-3);
    border-radius: 5px;
    height: 44px;
    line-height: 44px;
    vertical-align: top;
    text-transform: lowercase;
}

.holder-color-3 button[data-type="notify_on_availability"]::first-letter {
    text-transform: uppercase;
}

.holder-color-3 {
    font-size: 0;
}

.holder-color-3 .quantity {
    margin-bottom: 0;
}

.holder-color-3 .product_variant.quantity input {
    width: 125px;
    text-align: center;
    background: var(--color-3);
    color: #fff;
    padding: 0 40px;
    height: 44px;
    border: none;
    font-size: 20px;
    cursor: pointer;
    box-shadow: 1px 1px 4px 2px rgba(0, 0, 0, .25);
    order: 1;
    margin: 0 20px 10px 0;
    border-radius: 5px;
}

.holder-color-3 .product_variant.quantity input::-webkit-outer-spin-button,
.holder-color-3 .product_variant.quantity input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.holder-color-3 #add-button-holder {
    position: relative;
}

.holder-color-3 #add-button-holder:before,
.holder-color-3 #add-button-holder:after {
    content: '-';
    position: absolute;
    top: -1px;
    left: 14px;
    font-size: 44px;
    text-align: center;
    pointer-events: none;
    line-height: 1;
    color: #fff;
}

.holder-color-3 #add-button-holder:after {
    content: '+';
    left: 95px;
    font-size: 32px;
    top: 5px;
}

.holder-color-3 .product_variant.quantity .button {
    background: var(--color-3);
    transition: opacity .4s;
    border: none;
    height: 44px;
    line-height: 44px;
    padding: 0 20px;
    order: 2;
    margin: 0 20px 10px 0;
    border-radius: 5px;
    vertical-align: top;
    text-transform: lowercase;
}

.holder-color-3 .product_variant.quantity .button:first-letter {
    text-transform: uppercase;
}

.holder-color-3 .product_variant.quantity .button:hover {
    opacity: .8;
}

/*  notify-on-availability-color-3  */

.notify-on-availability-color-3 button[data-type='notify_on_availability'] {
    background: var(--color-3);
    color: #fff;
    border: 1px solid var(--color-3);
}   

.notify-on-availability-color-3 button[data-type='notify_on_availability']:hover {
    color: var(--color-3);
    background: #fff
}

/*  StarterLM  */

.holder-5 label,
.holder-5 .product_variant.quantity:nth-child(2),
.holder-5 img,
.holder-5 + .out-of-stock-label,
.holder-5[button-holder]:empty + .out-of-stock-label {
    display: none !important;
}

.holder-5 {
    font-size: 0;
}

.holder-5 .quantity {
    margin-bottom: 0;
}

.holder-5 .product_variant.quantity input {
    display: block !important;
    width: 105px;
    text-align: center;
    padding: 0 33px;
    height: 40px;
    border: 1px solid #AAAAAA;
    font-size: 17px;
    cursor: pointer;
    border-radius: 40px;
    order: 1;
    margin: 0px;
}

.holder-5 .product_variant.quantity input::-webkit-outer-spin-button,
.holder-5 .product_variant.quantity input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.holder-5 #add-button-holder {
    position: relative;
}

.holder-5 #add-button-holder:before,
.holder-5 #add-button-holder:after {
    content: '-';
    position: absolute;
    color: #fff;
    top: 0px;
    left: 0px;
    background: #AAAAAA;
    height: 40px;
    font-size: 24px;
    text-align: center;
    pointer-events: none;
    line-height: 35px;
    width: 34px;
    border-top-left-radius: 19px;
    border-bottom-left-radius: 19px;
}

.holder-5 #add-button-holder:after {
    content: '+';
    left: 71px;
    line-height: 38px;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    border-top-right-radius: 19px;
    border-bottom-right-radius: 19px;
}

.holder-5.color-type-3 #add-button-holder:before,
.holder-5.color-type-3 #add-button-holder:after {
    background: var(--color-3);
}

.holder-5 .product_variant.quantity .button {
    background: var(--color-3);
    border: 1px solid var(--color-3);
    transition: color .4s, background .4s;
    height: 40px;
    line-height: 40px;
    padding: 0 20px;
    margin: 0px 15px 0px 15px;
    border-radius: 20px; 
    display: block;
    order: 2;
    text-transform: lowercase;
}

.holder-5 button[data-type="notify_on_availability"] {
    background: var(--color-2);
    border: 1px solid var(--color-3);
    color: var(--color-3);;
    transition: color .4s, background .4s;
    height: 40px;
    text-wrap: nowrap;
    line-height: 40px;
    padding: 0 20px;
    margin: 0px 15px 0px 15px;
    border-radius: 20px; 
    display: block;
    order: 2;
    text-transform: lowercase;
}

.holder-5 button[data-type="notify_on_availability"]::first-letter,
.holder-5 .product_variant.quantity .button::first-letter {
    text-transform: uppercase;
}


@media (min-width: 575px) {
    .holder-5 button[data-type="notify_on_availability"] {
        width: 42%;
        
    }
    
    .holder-5 button[data-type="notify_on_availability"] + .product_variant.quantity button[data-type="favourites"] {
        width: auto;
        
    }

    .holder-5 .product_variant.quantity .button {
        width: 42%;
    }
}

@media (max-width: 447px) {    
    .holder-5 button[data-type="notify_on_availability"] {
        order: 3;
        margin-top: 20px;
        margin-left: 0px;
    }
    
}

@media (max-width: 447px) and (min-width: 406px) {
    #add-button-holder:has(button[data-type="notify_on_availability"]) input[type="number"] {
        margin-right: 15px;
    }
}

@media (max-width: 405.98px) {
    .holder-5 .product_variant.quantity button[data-type="favourites"] {
        order: 2 !important;
        margin-left: 15px !important;
    }

    .holder-5 .product_variant.quantity .button {
        order: 3;
        margin-top: 20px;
        margin-left: 0px;
    }
}

.holder-5 .product_variant.quantity {
    display: none;
}

.holder-5 #add-button-holder.product_variant.quantity {
    display: flex;
    flex-wrap: wrap;
}

.holder-5 .product_variant.quantity button[data-type="favourites"] {
    font-size: 0;
    height: 40px;
    width: 42px;
    padding: 0;
    min-width: 42px;
    border-radius: 30px;
    border: 1px solid var(--color-3);
    background: white;
    transition: background .4s;
    background-image: url(../images/heart_starterLM.svg) !important;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 24px 24px;
    margin: 0;
    order: 3;
    vertical-align: top;
}

.holder-5 .product_variant.quantity button[data-type="favourites"].active {
    background-image: url(../images/heart_starterLM-full.svg)!important;
}

@media (min-width: 991.92px) {

    .holder-5 .product_variant.quantity .button:hover {
        color: var(--color-3);
        background: #fff;
    }

    .holder-5 button[data-type="notify_on_availability"]:hover {
        color: var(--color-2);
        background: var(--color-3);
    }

    .holder-5 .product_variant.quantity button[data-type="favourites"]:hover {
        background-image: url(../images/heart_starterLM-full.svg)!important;
    }
}

/* Alternative with little corrections for mig */

.holder-5.holder-5--alt .product_variant.quantity input {
    font-weight: 500;
    border: 1px solid var(--color-3);
    height: 37px;
}

.holder-5.holder-5--alt #add-button-holder:before,
.holder-5.holder-5--alt #add-button-holder:after {
    font-weight: 500;
    height: 37px;
}

.holder-5.holder-5--alt #add-button-holder:after {
    line-height: 38px;
    border-top-right-radius: 20px;
    border-bottom-right-radius: 20px;
}

.holder-5.holder-5--alt #add-button-holder:before {
    line-height: 36px;
    border-top-left-radius: 20px;
    border-bottom-left-radius: 20px;
}

.holder-5.holder-5--alt .product_variant.quantity .button {
    height: 37px;
    line-height: 35px;
    font-size: 14px;
}

.holder-5.holder-5--alt .product_variant.quantity button[data-type="favourites"] {
    height: 37px;
    width: 39px;
    min-width: 39px;
    background-size: 62%;
}
.holder-5.holder-5--alt button[data-type="notify_on_availability"] {
    background: var(--color-11);
    border-color: var(--color-11);
    color: var(--color-2);
    font-size: 14px;
    height: 37px;
    line-height: 35px;
}

@media (min-width: 991.92px) {

    .holder-5.holder-5--alt .product_variant.quantity .button:hover {
        color: var(--color-2);
        background: var(--color-4);
        border-color: var(--color-4);
    }
    
    .holder-5.holder-5--alt button[data-type="notify_on_availability"]:hover {
        color: var(--color-11);
        background: var(--color-2);
    }
}

/* Alternative mig fav icon */
.holder-5.alt-fav-icons .product_variant.quantity button[data-type="favourites"] {
    background-image: url(../images/heart-dark-green.svg) !important;

}

.holder-5.alt-fav-icons .product_variant.quantity button[data-type="favourites"]:hover,
.holder-5.alt-fav-icons .product_variant.quantity button[data-type="favourites"].active {
    background-image: url(../images/heart_full-dark-green.svg)!important;
}

.holder-5.holder-5--alt[data-request-product="1"] .product_variant.quantity input,
.holder-5.holder-5--alt[data-request-product="1"] #add-button-holder:before,
.holder-5.holder-5--alt[data-request-product="1"] #add-button-holder:after,
.holder-5.holder-5--alt[data-request-product="1"] .product_variant.quantity .button
{
    display: none !important;
}

/*Big Mak Electric*/

.holder-6 label,
.holder-6 .product_variant.quantity:nth-child(2),
.holder-6 img,
.holder-6 + .out-of-stock-label,
.holder-6[button-holder]:empty + .out-of-stock-label {
    display: none !important;
}

.holder-6 {
    font-size: 0;
}

.holder-6 .quantity {
    margin-bottom: 0;
}

[button-holder] .additional-measurement-unit {
    font-size: 0;
}

[button-holder].holder-6 .additional-measurement-unit {
    font-size: initial;
}

.holder-6 .product_variant.quantity input {
    width: 125px;
    text-align: center;
    background: #fff;
    color: var(--color-1);
    padding: 0 40px;
    height: 44px;
    border: 1px solid var(--color-1);
    font-size: 20px;
    cursor: pointer;
    border-radius: 5px;
    margin: 0px 10px 10px 0;
}

.holder-6 .product_variant.quantity input::-webkit-outer-spin-button,
.holder-6 .product_variant.quantity input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.holder-6 #add-button-holder {
    position: relative;
}

.holder-6 #add-button-holder:before,
.holder-6 #add-button-holder:after {
    content: '-';
    position: absolute;
    top: -1px;
    left: 14px;
    font-size: 41px;
    text-align: center;
    pointer-events: none;
    line-height: 1;
    color: var(--color-1);
}

.holder-6 #add-button-holder:after {
    content: '+';
    left: 95px;
    font-size: 34px;
    top: 5px;
}

.holder-6 .product_variant.quantity .button {
    background: var(--color-1);
    min-width: 150px;
    border-radius: 5px;
    border: 1px solid var(--color-1);
    transition: color .4s, background .4s;
    height: 44px;
    line-height: 44px;
    padding: 0 20px; 
    display: block;
    text-transform: lowercase;
    margin: 0 10px 0 0;
}

.holder-6 .product_variant.quantity .button:hover {
    background: var(--color-3);
    color: var(--color-2);
    border: 1px solid var(--color-3);
}

.holder-6 button[data-type="notify_on_availability"] {
    background: var(--color-3);
    min-width: 150px;
    border-radius: 5px;
    border: 1px solid var(--color-3);
    color: #fff;
    transition: background .4s;
    height: 44px;
    line-height: 44px;
    padding: 0 20px;
    display: block;
    text-transform: lowercase;
}

.holder-6 button[data-type="notify_on_availability"]::first-letter,
.holder-6 .product_variant.quantity .button::first-letter {
    text-transform: uppercase;
}

.holder-6 button[data-type="notify_on_availability"]:hover {
    color: var(--color-3);
    background: #fff;
}

.holder-6 .product_variant.quantity {
    display: none;
}

.holder-6 #add-button-holder.product_variant.quantity {
    display: block;
}

@media (min-width: 576px) {
    
    .holder-6 #add-button-holder.product_variant.quantity {
        display: flex;
    }
}

.holder-6 .product_variant.quantity button[data-type="favourites"] {
    display: none;
}

.holder-6 .product_variant.quantity .button {
    min-width: 200px;
}

.holder-6 button[data-type="notify_on_availability"]{
    min-width: 210px;
}

/* Alternative with bigger input */

.holder-6.holder-6--alt .product_variant.quantity input {
    width: 150px;
}

.holder-6.holder-6--alt #add-button-holder:after {
    left: 120px;
}

/* Alternative for AutoFace */

.holder-6.holder-6--alt-v2 {
    display: inline-block;
}

.holder-6.holder-6--alt-v2 label,
.holder-6.holder-6--alt-v2 .product_variant.quantity:nth-child(2),
.holder-6.holder-6--alt-v2 img,
.holder-6.holder-6--alt-v2 button[data-type="notify_on_availability"],
.holder-6.holder-6--alt-v2[button-holder]:empty + .out-of-stock-label {
    display: none !important;
}

.holder-6.holder-6--alt-v2 .product_variant.quantity input {
    border: 1px solid var(--color-3);
    height: 45px;
}

.holder-6.holder-6--alt-v2 #add-button-holder:before,
.holder-6.holder-6--alt-v2 #add-button-holder:after {
    font-weight: 200;
}

.holder-6.holder-6--alt-v2:has(.product_variant.quantity input[max="0"]) + .out-of-stock-label {
    display: block !important;
}

.holder-6.holder-6--alt-v2 + .out-of-stock-label {
    background: var(--color-8) !important;
    border-radius: 5px !important;
    margin-left: 10px !important;
}

.holder-6.holder-6--alt-v2 .product_variant.quantity button[data-type="favourites"] {
    display: block !important;
    height: 45px;
    width: 45px;
    padding: 0;
    min-width: 45px;
    border-radius: 5px;
    border: 1px solid var(--color-3);
    background: white;
    transition: background .4s;
    background-image: url(../images/heart-red-alt.svg) !important;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 24px 24px;
    margin: 0;
    order: 3;
    vertical-align: top;
    font-size: 0;
}

.holder-6.holder-6--alt-v2 .product_variant.quantity button[data-type="favourites"]:hover,
.holder-6.holder-6--alt-v2 .product_variant.quantity button[data-type="favourites"].active {
    background-image: url(../images/heart-red-alt-full.svg)!important;
}

.holder-6.holder-6--alt-v2 .product_variant.quantity .button {
    min-width: 200px;
    border-color: var(--color-3);
    background: var(--color-3);
}

.holder-6.holder-6--alt-v2 .product_variant.quantity .button:hover {
    background: var(--color-2);
    color: var(--color-3);
}

.holder-6.holder-6--alt-v2 button[data-type="notify_on_availability"]{
    min-width: 210px;
}

.holder-6.holder-6--alt-v2 .product_variant.quantity {
    display: flex !important;
    flex-wrap: wrap !important;
}

/*  Holder-6--alt-v2-1 - For Viva Victoria */

.holder-6.holder-6--alt-v2.holder-6--alt-v2-1 .product_variant.quantity button[data-type="favourites"] {
    background-image: url(../images/heart-pink.svg) !important;
}

.holder-6.holder-6--alt-v2.holder-6--alt-v2-1 .product_variant.quantity button[data-type="favourites"].active {
    background-image: url(../images/heart_full-pink.svg) !important;
}

.holder-6.holder-6--alt-v2.holder-6--alt-v2-1 .product_variant.quantity input,
.holder-6.holder-6--alt-v2.holder-6--alt-v2-1 .product_variant.quantity .button,
.holder-6.holder-6--alt-v2.holder-6--alt-v2-1 .product_variant.quantity button[data-type="favourites"] {
    border-radius: 0px !important;
}

@media (min-width: 991.92px) {

    .holder-6.holder-6--alt-v2.holder-6--alt-v2-1 .product_variant.quantity button[data-type="favourites"]:hover {
        background-image: url(../images/heart_full-pink.svg) !important;
    }

    .holder-6.holder-6--alt-v2.holder-6--alt-v2-1 .product_variant.quantity .button:hover {
        background: var(--color-4);
        color: #fff;
        border-color: var(--color-4);
    }
}

/*  Holder-6--alt-v2-2 - For Daru */

.holder-6.holder-6--alt-v2.holder-6--alt-v2-2 .product_variant.quantity button[data-type="favourites"] {
    background-image: url(../images/heart-bright-orange.svg) !important;
}

.holder-6.holder-6--alt-v2.holder-6--alt-v2-2 .product_variant.quantity button[data-type="favourites"].active {
    background-image: url(../images/heart_full-bright-orange.svg) !important;
}

.holder-6.holder-6--alt-v2.holder-6--alt-v2-2 + .out-of-stock-label,
.holder-6.holder-6--alt-v2.holder-6--alt-v2-2 .product_variant.quantity input,
.holder-6.holder-6--alt-v2.holder-6--alt-v2-2 .product_variant.quantity .button,
.holder-6.holder-6--alt-v2.holder-6--alt-v2-2 .product_variant.quantity button[data-type="favourites"] {
    border-radius: 50px !important;
}

@media (min-width: 991.92px) {

    .holder-6.holder-6--alt-v2.holder-6--alt-v2-2 .product_variant.quantity button[data-type="favourites"]:hover {
        background-image: url(../images/heart_full-bright-orange.svg) !important;
    }
}

/*  Holder-6--alt-favourites-color-v-light - For GT-Vlight */

.holder-6.holder-6--alt-v2.holder-6--alt-favourites-color-v-light .product_variant.quantity button[data-type="favourites"] {
    background-image: url(../images/heart-v-light.svg) !important;
}

.holder-6.holder-6--alt-v2.holder-6--alt-favourites-color-v-light .product_variant.quantity button[data-type="favourites"].active {
    background-image: url(../images/heart_full-v-light.svg) !important;
}

@media (min-width: 991.92px) {

    .holder-6.holder-6--alt-v2.holder-6--alt-favourites-color-v-light .product_variant.quantity button[data-type="favourites"]:hover {
        background-image: url(../images/heart_full-v-light.svg) !important;
    }
}

/* Alternative for EOS - alt-v3 */

.holder-6.holder-6--alt-v3 {
    display: inline-block;
}

.holder-6.holder-6--alt-v3 label,
.holder-6.holder-6--alt-v3 .product_variant.quantity:nth-child(2),
.holder-6.holder-6--alt-v3:has(.product_variant.quantity input[max="0"]) + .out-of-stock-label
.holder-6.holder-6--alt-v3 img,
.holder-6.holder-6--alt-v3[button-holder]:empty + .out-of-stock-label {
    display: none !important;
}

.holder-6.holder-6--alt-v3 .product_variant.quantity input {
    border: 1px solid var(--color-3);
    height: 45px;
}

.holder-6.holder-6--alt-v3 #add-button-holder:before,
.holder-6.holder-6--alt-v3 #add-button-holder:after {
    font-weight: 200;
}

.holder-6.holder-6--alt-v3 + .out-of-stock-label {
    background: var(--color-8) !important;
    border-radius: 5px !important;
    margin-left: 10px !important;
}

.holder-6.holder-6--alt-v3 .product_variant.quantity button[data-type="favourites"] {
    display: block !important;
    height: 45px;
    width: 45px;
    padding: 0;
    min-width: 45px;
    border-radius: 30px;
    border: 1px solid var(--color-3);
    background: white;
    transition: background .4s;
    background-image: url(../images/light_green_heart_empty.svg) !important;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 24px 24px;
    margin: 0;
    order: 3;
    vertical-align: top;
    font-size: 0;
}

.holder-6.holder-6--alt-v3 .product_variant.quantity button[data-type="favourites"]:hover,
.holder-6.holder-6--alt-v3 .product_variant.quantity button[data-type="favourites"].active {
    background-image: url(../images/light_green_heart_full.svg) !important;
}

.holder-6.holder-6--alt-v3 .product_variant.quantity .button {
    min-width: 200px;
    border-radius: 20px;
    border-color: var(--color-3);
    background: var(--color-3);
    text-transform: none!important;
}

.holder-6.holder-6--alt-v3 .product_variant.quantity .button:hover {
    background: var(--color-2);
    color: var(--color-3);
}

.holder-6.holder-6--alt-v3 button[data-type="notify_on_availability"] {
    min-width: 210px;
    order: 4;
    min-height: 63px;
    height: 100%;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    border: none !important;
    margin: 0 10px 0 10px;
    font-size: 14px;
    line-height: unset !important;
    border-radius: 20px;
    background-color: #ECECEC !important;
    color: #545454;
    display: inline-block !important;
    text-transform: unset !important;
}

.holder-6.holder-6--alt-v3 button[data-type="notify_on_availability"]:hover {
    color: #545454;
}

.holder-6.holder-6--alt-v3 .product_variant.quantity {
    display: flex !important;
    flex-wrap: wrap !important;
}

/* Domfix */

.holder-7 .product_variant {
    display: none;
}

.holder-7 #add-button-holder.product_variant {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    margin: 0;
    padding: 20px 5px;
}

.holder-7 .product_variant + .product_variant {
    border-top: 1px solid #ccc;
}

.holder-7 .product_variant label {
    display: none;
}

.holder-7 .product_variant input {
    order: 2;
    margin: 10px 10px 0 0;
    width: 106px;
    text-align: center;
    background: #fff;
    color: var(--color-3);
    padding: 0 30px;
    height: 42px;
    border: 1px solid var(--color-3);
    font-size: 18px;
    cursor: pointer;
    border-radius: 0;
    background-image: url('/assets/template_files/images/minus-plus.svg');
    background-size: 80% 100%;
    background-position: center;
    background-repeat: no-repeat;
}

.holder-7 .product_variant input::-webkit-outer-spin-button,
.holder-7 .product_variant input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.holder-7 .product_variant [buy-product-button] {
    order: 3;
    margin: 10px 10px 0 0;
    text-transform: math-auto;
    border-radius: 0;
    line-height: 40px;
    border: 1px solid var(--color-3);
    background: var(--color-3);
    transition: all .4s;
}

.holder-7 .product_variant [buy-product-button]:hover {
    background: #fff;
    color: var(--color-3);
}

.holder-7 .product_variant [data-type="favourites"] {
    order: 4;
    margin: 10px 0 0 0;
    border: 1px solid var(--color-3);
    background-color: var(--color-3);
    border-radius: 0;
    transition: background .4s;
    background-image: url(../images/heart-white.svg);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 60%;
    font-size: 0;
    min-width: 42px;
    height: 42px;
    width: 42px;
}

.holder-7 .product_variant [data-type="favourites"]:hover,
.holder-7 .product_variant [data-type="favourites"].active {
    background-image: url(../images/heart_full-white.svg);
    background-size: 60%;
    background-position: center center;
    background-repeat: no-repeat;
    background-color: var(--color-3);
}

.holder-7 ~ .out-of-stock-label {
    display: none;
}

.holder-7 .product_variant.quantity:has(button[data-type="notify_on_availability"]) input {
    display: none;
}

.holder-7 .product_variant.quantity button[data-type="notify_on_availability"] {
    order: 3;
    margin: 10px 10px 0 0;
    border-radius: 0;
    background-color: var(--color-3);
}

/* Holder-8 - Latrand */

.holder-8 {
    font-size: 0;
    display: inline-block;
}

.holder-8 label,
.holder-8 .product_variant.quantity:nth-child(2),
.holder-8 + .out-of-stock-label,
.holder-8 img,
.holder-8 button[data-type="notify_on_availability"],
.holder-8[button-holder]:empty + .out-of-stock-label {
    display: none !important;
}

.holder-8 .quantity {
    margin-bottom: 0;
}

[button-holder].holder-8 .additional-measurement-unit {
    font-size: initial;
}

.holder-8 .product_variant.quantity input {
    width: 125px;
    height: 45px;
    text-align: center;
    background: #fff;
    color: var(--color-1);
    padding: 0 40px;
    border: 1px solid var(--color-2);
    font-size: 20px;
    cursor: pointer;
    border-radius: 5px;
    margin: 0px 10px 0px 0;
}

.holder-8 .product_variant.quantity input::-webkit-outer-spin-button,
.holder-8 .product_variant.quantity input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.holder-8 #add-button-holder {
    position: relative;
}

.holder-8 #add-button-holder:before,
.holder-8 #add-button-holder:after {
    content: '-';
    position: absolute;
    top: -1px;
    left: 14px;
    font-size: 41px;
    font-weight: 200;
    text-align: center;
    pointer-events: none;
    line-height: 1;
    color: var(--color-1);
}

.holder-8 #add-button-holder:after {
    content: '+';
    left: 95px;
    font-size: 34px;
    top: 5px;
}

.holder-8 .product_variant.quantity .button {
    background: var(--color-3);
    border: 1px solid var(--color-3);
    min-width: 200px;
    flex-grow: 1;
    border-radius: 5px;
    transition: color .4s, background .4s;
    height: 44px;
    line-height: 44px;
    padding: 0 20px;
    display: block;
    text-transform: lowercase;
    margin: 0 10px 0 0;
}

.holder-8 .product_variant.quantity .button::first-letter {
    text-transform: uppercase;
}

.holder-8 .product_variant.quantity .button:hover {
    background: var(--color-2);
    color: var(--color-3);
}

.holder-8 .product_variant.quantity button[data-type="favourites"] {
    display: block !important;
    height: 45px;
    width: 45px;
    padding: 0;
    min-width: 45px;
    border-radius: 5px;
    background: white;
    transition: background .4s;
    background-image: url(../images/heart_4_empty.svg) !important;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 24px 24px;
    margin: 0;
    order: 3;
    vertical-align: top;
    font-size: 0;
}

.holder-8 .product_variant.quantity button[data-type="favourites"]:hover,
.holder-8 .product_variant.quantity button[data-type="favourites"].active {
    background-image: url(../images/heart_4_full.svg) !important;
}

.holder-8 .product_variant.quantity {
    display: none;
}

/* more important to happen */
.holder-8 #add-button-holder.product_variant.quantity {
    display: block;
}

@media (min-width: 576px) {
    .holder-8 #add-button-holder.product_variant.quantity {
        display: flex;
    }
}

.holder-8:has(.product_variant.quantity input[max="0"]) + .out-of-stock-label {
    display: block !important;
    flex-grow: 1;
}

.holder-8 + .out-of-stock-label {
    background: var(--color-8) !important;
    border-radius: 5px !important;
    margin-left: 10px !important;
}

.holder-8 .product_variant.quantity {
    display: flex !important;
    flex-wrap: wrap !important;
}

@media (max-width: 449.98px) {
    .holder-8 .product_variant.quantity input {
        margin-right: 100%;
    }
}

.holder-8:has(.product_variant.quantity input[max]:not([max="0"])) {
    width: 100%;
}

/* holder-8 - mobile (below 576px) alternative */

@media (max-width: 575.98px) {

    .holder-8.holder-8-below-sm-alt .product_variant.quantity {
        justify-content: space-between;
    }

    .holder-8.holder-8-below-sm-alt .product_variant.quantity button[data-type="favourites"] {
        order: unset;
    }

    .holder-8.holder-8-below-sm-alt .product_variant.quantity input {
        margin: 0 10px 10px 0;
    }

    .holder-8.holder-8-below-sm-alt .product_variant.quantity .button {
        width: 100%;
        margin: 0;
        font-weight: 400;
    }
}

@media (min-width: 575.98px) {

    .template-5117:has(.holder-8.holder-8-below-sm-alt) {
        border: 1px solid #dee2e6;
    }
}
